Skip to main content
GET
/
cms
/
v3
/
url-redirects
Get current redirects
curl --request GET \
  --url https://api.hubapi.com/cms/v3/url-redirects/ \
  --header 'Authorization: Bearer <token>'
{
  "paging": {
    "next": {
      "after": "Mg%3D%3D",
      "link": "https://api.hubspot.com/cms/v3/url-redirects?after=Mg%3D%3D"
    }
  },
  "results": [
    {
      "createdAt": "2017-07-24T17:24:09.141Z",
      "destination": "http://www.example.online/{page_slug}",
      "id": "3212223134",
      "isMatchFullUrl": true,
      "isMatchQueryString": false,
      "isOnlyAfterNotFound": true,
      "isPattern": false,
      "isProtocolAgnostic": true,
      "isTrailingSlashOptional": true,
      "precedence": 3,
      "redirectStyle": 301,
      "routePrefix": "http://test.hs-sites.com/(?P<page_slug>.*)",
      "updatedAt": "2017-07-24T17:24:09.141Z"
    },
    {
      "createdAt": "2017-07-25T15:42:06.410Z",
      "destination": "/newtest/{page_slug}",
      "id": "3212242073",
      "isMatchFullUrl": true,
      "isMatchQueryString": false,
      "isOnlyAfterNotFound": true,
      "isPattern": false,
      "isProtocolAgnostic": true,
      "isTrailingSlashOptional": true,
      "precedence": 999999993,
      "redirectStyle": 301,
      "routePrefix": "/mytest/(?P<page_slug>.*)",
      "updatedAt": "2017-07-25T15:42:06.410Z"
    }
  ],
  "total": 2
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Whether to return only results that have been archived.

createdAfter
string<date-time>

Only return redirects created after this date.

createdAt
string<date-time>

Only return redirects created on exactly this date.

createdBefore
string<date-time>

Only return redirects created before this date.

limit
integer<int32>

Maximum number of result per page

sort
string[]
updatedAfter
string<date-time>

Only return redirects last updated after this date.

updatedAt
string<date-time>

Only return redirects last updated on exactly this date.

updatedBefore
string<date-time>

Only return redirects last updated before this date.

Response

successful operation

results
object[]
required
total
integer<int32>
required

The total number of URL mappings available.

paging
object
Last modified on February 12, 2026